## dcmtkpp 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project("dcmtkpp")

option(BUILD_EXAMPLES "Build the examples directory." ON)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}" ${CMAKE_MODULE_PATH})
include(CTest)

add_subdirectory("src")

if(BUILD_EXAMPLES)
    add_subdirectory("examples")
endif()

if(BUILD_TESTING)
    add_subdirectory("tests")
endif()

=== examples/CMakeLists.txt ===
add_definitions("-D HAVE_CONFIG_H")

include_directories(${CMAKE_SOURCE_DIR}/src)

set(examples find get move store)

foreach(example ${examples})
    add_executable(${example} ${example}.cpp)
    target_link_libraries(${example} dcmtkpp dcmdata)
endforeach()

=== src/CMakeLists.txt ===
find_package(ICU REQUIRED)

set(DCMTK_LIBRARIES dcmnet dcmdata oflog ofstd pthread z)
find_library(USE_WRAP wrap)
if(USE_WRAP)
    set(DCMTK_LIBRARIES ${DCMTK_LIBRARIES} wrap)
endif()

file(GLOB_RECURSE headers "*.h")
file(GLOB_RECURSE templates "*.txx")
file(GLOB_RECURSE files "*.cpp")
include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${ICU_INCLUDE_DIR})
add_definitions("-D HAVE_CONFIG_H")

add_library(dcmtkpp SHARED ${files})
install(TARGETS dcmtkpp LIBRARY DESTINATION lib)
install(FILES ${headers} ${templates} DESTINATION include/dcmtkpp)

target_link_libraries(dcmtkpp ${DCMTK_LIBRARIES} jsoncpp ${ICU_LIBRARIES})

=== tests/CMakeLists.txt ===
find_package(Boost COMPONENTS unit_test_framework REQUIRED)
link_directories(${Boost_LIBRARY_DIRS})
add_definitions(-DBOOST_TEST_DYN_LINK)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)

add_definitions("-D HAVE_CONFIG_H")

file(GLOB_RECURSE tests *.cpp)
foreach(test_file ${tests})
    get_filename_component(test ${test_file} NAME_WE)
    add_executable(${test} ${test_file})
    target_link_libraries(${test} dcmtkpp ${Boost_LIBRARIES})
    file(READ ${test_file} content)

    set(pattern "BOOST_(AUTO|FIXTURE)_TEST_CASE\\(([^),]+)")

    string(REGEX MATCHALL ${pattern} cases ${content})

    foreach(case ${cases})
        string(REGEX REPLACE ${pattern} "\\2" case ${case})
        if(NOT ${case} MATCHES "##")
            add_test("${test}_${case}" "${test}" "--run_test=${case}")
        endif()
    endforeach()

    set(pattern "ElementTest\\([\n ]+([A-Z]+)")

    string(REGEX MATCHALL ${pattern} matches ${content})

    foreach(match ${matches})
        string(REGEX REPLACE ${pattern} "\\1" vr ${match})

        set(case "${vr}FromDcmtkpp")
        add_test("${test}_${case}" "${test}" "--run_test=${case}")

        set(case "${vr}ToDcmtkpp")
        add_test("${test}_${case}" "${test}" "--run_test=${case}")
    endforeach()

endforeach()

=== debian/changelog ===
dcmtkpp (0.2.1-1build1) wily; urgency=medium

  * Rebuild for new dcmtk soname.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 21:00:54 +0000

dcmtkpp (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #793392)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 16 Jul 2015 15:18:46 +0200

=== debian/control ===
Source: dcmtkpp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               d-shlibs,
               cmake,
               libjsoncpp-dev,
               libdcmtk2-dev,
               libicu-dev (>= 4.8.1.1),
               zlib1g-dev,
               libboost-test-dev (>= 1.46.1),
               dcmtk (>= 3.6.0),
               doxygen,
               graphviz
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtkpp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dcmtkpp/trunk/
Homepage: https://github.com/lamyj/dcmtkpp

Package: libdcmtkpp0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ wrapper library for the DCMTK DICOM toolkit
 DCMTK++ is a C++ wrapper library for DCMTK, a C++ toolkit handling the DICOM
 medical imaging standard. DCMTK++ leverages C++ constructs to provide a
 more user-friendly API, notably for the networking part. Included in
 DCMTK++ are exception-based error handling, generic access to datasets
 elements, standard JSON representation of datasets, and generic
 implementation of messages, clients and servers for the various DICOM
 protocols.
 .
 This package contains the shared library.

Package: libdcmtkpp0-dev
Architecture: any
Section: libdevel
Depends: libdcmtkpp0 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Provides: libdcmtkpp-dev
Conflicts: libdcmtkpp-dev
Description: C++ wrapper library for the DCMTK DICOM toolkit (development files)
 DCMTK++ is a C++ wrapper library for DCMTK, a C++ toolkit handling the DICOM
 medical imaging standard. DCMTK++ leverages C++ constructs to provide a
 more user-friendly API, notably for the networking part. Included in
 DCMTK++ are exception-based error handling, generic access to datasets
 elements, standard JSON representation of datasets, and generic
 implementation of messages, clients and servers for the various DICOM
 protocols.
 .
 This package contains the development files.

Package: libdcmtkpp0-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: C++ wrapper library for the DCMTK DICOM toolkit (documentation)
 DCMTK++ is a C++ wrapper library for DCMTK, a C++ toolkit handling the DICOM
 medical imaging standard. DCMTK++ leverages C++ constructs to provide a
 more user-friendly API, notably for the networking part. Included in
 DCMTK++ are exception-based error handling, generic access to datasets
 elements, standard JSON representation of datasets, and generic
 implementation of messages, clients and servers for the various DICOM
 protocols.
 .
 This package contains the documentation files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND  = -std=c++0x

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --builddirectory=build --parallel

override_dh_auto_build:
	dh_auto_build
	doxygen && mv doc build

override_dh_auto_test:
	cd build && ../tests/run.sh

override_dh_install:
	dh_install
	d-shlibmove \
		--commit --multiarch --exclude-a --exclude-la \
		--movedev debian/tmp/usr/include/* usr/include \
		--override s/libjsoncpp.-dev/libjsoncpp-dev/ \
		--override s/libdcm.*-dev/libdcmtk-dev/ \
		--override s/libof.*-dev/libdcmtk-dev/ \
		--override s/libicuuc.*-dev/libicu-dev/ \
		debian/tmp/usr/lib/*.so

## dcmtkpp 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,11 @@
 cmake_minimum_required(VERSION 2.8)
+
 project("dcmtkpp")
+set(dcmtkpp_MAJOR_VERSION 0)
+set(dcmtkpp_MINOR_VERSION 3)
+set(dcmtkpp_PATCH_VERSION 1)
+set(dcmtkpp_VERSION 
+    ${dcmtkpp_MAJOR_VERSION}.${dcmtkpp_MINOR_VERSION}.${dcmtkpp_PATCH_VERSION})
 
 option(BUILD_EXAMPLES "Build the examples directory." ON)

=== examples/CMakeLists.txt ===
add_definitions("-D HAVE_CONFIG_H")

include_directories(${CMAKE_SOURCE_DIR}/src)

file(GLOB_RECURSE examples *.cpp)

foreach(example_file ${examples})
    get_filename_component(example ${example_file} NAME_WE)
    add_executable(${example} ${example_file})
    target_link_libraries(${example} dcmtkpp dcmdata)
endforeach()

=== src/CMakeLists.txt ===
find_package(Boost REQUIRED COMPONENTS filesystem system)
find_package(ICU REQUIRED)

set(DCMTK_LIBRARIES dcmnet dcmdata oflog ofstd pthread z)
find_library(USE_WRAP wrap)
if(USE_WRAP)
    set(DCMTK_LIBRARIES ${DCMTK_LIBRARIES} wrap)
endif()

file(GLOB_RECURSE headers "*.h")
file(GLOB_RECURSE templates "*.txx")
file(GLOB_RECURSE files "*.cpp")
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR} ${Boost_INCLUDE_DIRS} ${ICU_INCLUDE_DIR})
add_definitions("-D HAVE_CONFIG_H")
add_definitions("-D DCMTKPP_MAJOR_VERSION=${dcmtkpp_MAJOR_VERSION}")

link_directories(${Boost_LIBRARY_DIRS})
add_library(dcmtkpp SHARED ${files})
install(TARGETS dcmtkpp LIBRARY DESTINATION lib)
install(FILES ${headers} ${templates} DESTINATION include/dcmtkpp)

target_link_libraries(dcmtkpp
    ${Boost_LIBRARIES} ${DCMTK_LIBRARIES} jsoncpp ${ICU_LIBRARIES} uuid)
set_target_properties(dcmtkpp PROPERTIES 
    VERSION ${dcmtkpp_VERSION}
    SOVERSION ${dcmtkpp_MAJOR_VERSION})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src)
 
 add_definitions("-D HAVE_CONFIG_H")
+add_definitions("-D DCMTKPP_MAJOR_VERSION=${dcmtkpp_MAJOR_VERSION}")
 
 file(GLOB_RECURSE tests *.cpp)
 foreach(test_file ${tests})

=== debian/changelog ===
dcmtkpp (0.3.1-3) unstable; urgency=medium

  * Disable network-related tests at build time (Closes: #807675)

 -- Julien Lamy <lamy@unistra.fr>  Sun, 13 Dec 2015 16:34:21 +0100

dcmtkpp (0.3.1-2) unstable; urgency=medium

  * build-depend on libdcmtk (Closes: #804570)

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:57 +0100

dcmtkpp (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
                d-shlibs,
                cmake,
                libjsoncpp-dev,
-               libdcmtk2-dev,
+               libdcmtk-dev | libdcmtk2-dev,
                libicu-dev (>= 4.8.1.1),
                zlib1g-dev,
+               uuid-dev,
+               libboost-dev,
+               libboost-filesystem-dev,
                libboost-test-dev (>= 1.46.1),
                dcmtk (>= 3.6.0),
                doxygen,
                graphviz
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtkpp/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dcmtkpp/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dcmtkpp.git/
+Vcs-Git: git://anonscm.debian.org/debian-med/dcmtkpp.git
 Homepage: https://github.com/lamyj/dcmtkpp
 
 Package: libdcmtkpp0

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	doxygen && mv doc build
 
 override_dh_auto_test:
-	cd build && ../tests/run.sh
+	cd build && ../tests/run.sh --no-network -E 'Association|Network|ServiceRole|SCP|SCU'
 
 override_dh_install:
 	dh_install
@@ -26,4 +26,6 @@
 		--override s/libdcm.*-dev/libdcmtk-dev/ \
 		--override s/libof.*-dev/libdcmtk-dev/ \
 		--override s/libicuuc.*-dev/libicu-dev/ \
+                --override s/libboost_filesystem.*-dev/libboost-filesystem-dev/ \
+                --override s/libboost_system.*-dev/libboost-system-dev/ \
 		debian/tmp/usr/lib/*.so

=== debian/watch ===
version=3

https://github.com/lamyj/dcmtkpp/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
